Summary:    Squid interface for embedded adaptation modules
Name:       libecap
Version:    1.0.1
Release:    3%{?dist}
License:    BSD
URL:        http://www.e-cap.org
Source0:    %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ make

%description
eCAP is a software interface that allows a network application, such as an HTTP
proxy or an ICAP server, to outsource content analysis and adaptation to a loadable module.
For each applicable protocol message being processed, an eCAP-enabled host application
supplies the message details to the adaptation module and gets back an adapted message,
a "not interested" response, or a "block this message now!" instruction.\
These exchanges often include message bodies.

The adaptation module can also exchange meta-information with the host 
application to supply additional details such as configuration options, a 
reason behind the decision to ignore a message, or a detected virus name.

If you are familiar with the ICAP protocol (RFC 3507), then you may think of 
eCAP as an "embedded ICAP", where network interactions with an ICAP server are 
replaced with function calls to an adaptation module.

%package devel
Summary:    Libraries and header files for the libecap library
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources
needed for developing libecap applications.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libecap.a
rm -f %{buildroot}%{_libdir}/libecap.la

%files
%license LICENSE
%doc CREDITS NOTICE README
%{_libdir}/libecap.so.*

%files devel
%{_libdir}/libecap.so
%{_libdir}/pkgconfig/libecap.pc
%{_includedir}/libecap

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 1.0.1-1
- initial build

